// XmlMemberGui_Long.h: interface for the CXmlMemberGui_Long class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_XMLMEMBERGUI_LONG_H_)
#define _XMLMEMBERGUI_LONG_H_

#include <map>
#include "XmlSerializable.h"
#include "XmlMemberValidation_StaticEnum.h"
#include "XmlMemberValidation_Interval.h"
#include "enums.h"

using namespace std;

class CXmlMemberGui_Long : public CXmlBaseElement
{
public:
	CXmlMemberGui_Long();
	virtual ~CXmlMemberGui_Long();

	// implementation of CXmlSerializable
	//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);
	
	// attributes
	//
	static cmString GetXmlNodeName(){return _T("MemberGui_Long");}

	void SetDisplayMode(enLongMemberDisplayMode mode);
	enLongMemberDisplayMode GetDisplayMode() const;

	void SetHexBitCount(long count);
	long GetHexBitCount() const;

	virtual void Clear();
	virtual void SetDefaults();

protected:
		
	enLongMemberDisplayMode displayMode_;

	int hexBitCount_;
};

#endif // !defined(_XMLMEMBERGUI_LONG_H_)